%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-fileutils
Version:        0.6.6
Release:        %mkrel 1
Summary:        OCaml library for common file and filename operations
Group:          Development/OCaml
License:        LGPLv2+
URL:            https://gildor478.github.io/ocaml-fileutils/
VCS:            git:%{giturl}.git
Source0:        %{giturl}/releases/download/v%{version}/fileutils-%{version}.tbz

BuildRequires:  ocaml >= 4.14
BuildRequires:  ocaml-dune >= 2.9
BuildRequires:  ocaml-ounit-devel >= 2.0.0

%description
This library is intended to provide a basic interface to the most
common file and filename operations.  It provides several different
filename functions: reduce, make_absolute, make_relative...  It also
enables you to manipulate real files: cp, mv, rm, touch...

It is separated into two modules: SysUtil and SysPath.  The first one
manipulates real files, the second one is made for manipulating
abstract filenames.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n fileutils-%{version} -p1


%build
%dune_build


%install
%dune_install


%check
%dune_check


%files -f .ofiles
%license LICENSE.txt


%files devel -f .ofiles-devel
%doc README.md CHANGES.md
%license LICENSE.txt


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 0.6.6-1.mga10
+ Revision: 2193643
- new version: 0.6.6

* Fri May 20 2022 pterjan <pterjan> 0.5.3-11.mga9
+ Revision: 1859412
- Rebuild for OCaml 4.14

* Wed Oct 13 2021 tv <tv> 0.5.3-10.mga9
+ Revision: 1751150
- Rebuild for ocaml 4.13.1

* Fri Mar 19 2021 tv <tv> 0.5.3-9.mga9
+ Revision: 1705021
- Rebuild for OCaml 4.12.0
- Use ounit2
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 0.5.3-7.mga8
+ Revision: 1670285
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.5.3-6.mga8
+ Revision: 1551458
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.5.3-5.mga8
+ Revision: 1543237
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 tv <tv> 0.5.3-4.mga8
+ Revision: 1481517
- rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 0.5.3-3.mga7
+ Revision: 1324397
- Rebuild for ocaml 4.07.1
+ tv <tv>
- rebuild with ocaml-4.07.1

* Tue Aug 28 2018 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1255204
- new version: 0.5.3
- remove merged upstream patch

* Sun Nov 26 2017 tv <tv> 0.5.2-3.mga7
+ Revision: 1179636
- rebuild for new ocaml

* Sun Nov 26 2017 tv <tv> 0.5.2-2.mga7
+ Revision: 1179308
- fix filelist
- new release
- new release
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.5.0-2.mga6
+ Revision: 1056346
- Rebuild for fix in ocaml

* Fri Jan 29 2016 pterjan <pterjan> 0.5.0-1.mga6
+ Revision: 928997
- Update to 0.5.0

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-5.mga5
+ Revision: 744052
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.5-4.mga5
+ Revision: 683033
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.5-3.mga4
+ Revision: 534710
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 0.4.5-2.mga4
+ Revision: 478626
- rebuild for new ocaml

* Sun Jun 09 2013 malo <malo> 0.4.5-1.mga4
+ Revision: 441336
- update to 0.4.5

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-5.mga3
+ Revision: 361332
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 malo <malo> 0.4.4-4.mga3
+ Revision: 323484
- rebuild for new ocaml
- change BuildRequires to ocaml-compiler

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.4-3.mga3
+ Revision: 301542
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.4.4-2.mga3
+ Revision: 300120
- new rpm group for ocaml

* Wed Jun 20 2012 malo <malo> 0.4.4-1.mga3
+ Revision: 262152
- new version 0.4.4
- adding native code modules
+ blue_prawn <blue_prawn>
- clean the spec file to fit the Mageia policy

* Sun Oct 02 2011 shlomif <shlomif> 0.4.3-2.mga2
+ Revision: 151083
- Rebuild for new OCaml - thanks to Malo.

* Sun Sep 25 2011 shlomif <shlomif> 0.4.3-1.mga2
+ Revision: 147756
- Update to new version - thanks to Malo

* Mon Mar 07 2011 saispo <saispo> 0.4.0-1.mga1
+ Revision: 66253
- imported package ocaml-fileutils

